<?php

namespace App\Http\Controllers\addon\committee\admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommitteeBoardMemberRequest;
use App\Http\Services\addon\committee\BoardMemberService;
use App\Http\Services\addon\committee\DesignationService;
use App\Http\Services\addon\committee\ElectionService;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class BoardMemberController extends Controller
{
    use ResponseTrait;
    public $boardMemberService;

    public function __construct()
    {
        $this->boardMemberService = new BoardMemberService();
    }

    public function index(Request $request)
    {
        if($request->wantsJson()){
            return $this->boardMemberService->list($request);
        }
        $committeeDesignation = new DesignationService();
        $committeeElection = new ElectionService();
        $data['title'] = __('Election Board Member');
        $data['showManageCommittee'] = 'show';
        $data['activeManageBoardMember'] = 'active';
        $data['designations'] = $committeeDesignation->getAllActive();
        $data['elections'] = $committeeElection->getAllActive();

        return view('addon.committee.admin.board_members.index', $data);
    }


    public function store(CommitteeBoardMemberRequest $request)
    {
        return $this->boardMemberService->store($request);
    }

    public function info($id)
    {
        $committeeDesignation = new DesignationService();
        $committeeElection = new ElectionService();
        $data['designations'] = $committeeDesignation->getAllActive();
        $data['elections'] = $committeeElection->getAllActive();
        $data['boardMember'] = $this->boardMemberService->getById($id);
        return view('addon.committee.admin.board_members.edit-form', $data);
    }

    public function update(CommitteeBoardMemberRequest $request, $id, $user_id)
    {
        return $this->boardMemberService->update($request, $id);
    }

    public function delete($id)
    {
        return $this->boardMemberService->deleteById($id);
    }
}
