<?php

namespace App\Http\Controllers\addon\committee\admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CampaignCategoryRequest;
use App\Http\Requests\Admin\CommitteeCategoryRequest;
use App\Http\Services\addon\committee\CategoryService;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    use ResponseTrait;
    public $committeeCategoryServices;

    public function __construct()
    {
        $this->committeeCategoryServices = new CategoryService();
    }

    public function index(Request $request)
    {
        if($request->wantsJson()){
            return $this->committeeCategoryServices->list();
        }

        $data['title'] = __('Committee Categories');
        $data['showManageCommittee'] = 'show';
        $data['activeManageCategories'] = 'active';

        return view('addon.committee.admin.categories.index', $data);
    }


    public function store(CommitteeCategoryRequest $request)
    {
        return $this->committeeCategoryServices->store($request);
    }

    public function edit($id)
    {
        $data['getCommitteeCategory'] = $this->committeeCategoryServices->getById($id);

        return view('addon.committee.admin.categories.edit-form', $data);
    }

    public function update(CommitteeCategoryRequest $request, $id)
    {
        return $this->committeeCategoryServices->update( $id, $request);
    }

    public function delete($id)
    {
        return $this->committeeCategoryServices->deleteById($id);
    }
}
