<?php

namespace App\Http\Controllers\addon\committee\admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommitteeRequest;
use App\Http\Services\addon\committee\CategoryService;
use App\Http\Services\addon\committee\DesignationService;
use App\Http\Services\addon\committee\ElectionService;
use App\Http\Services\addon\committee\CommitteeService;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class CommitteeController extends Controller
{
    use ResponseTrait;
    public $committeeServices;

    public function __construct()
    {
        $this->committeeServices = new CommitteeService();
    }

    public function index(Request $request)
    {
        if($request->wantsJson()){
            return $this->committeeServices->list($request);
        }
        $committeeDesignation = new DesignationService();
        $committeeElection = new ElectionService();
        $committeeCategory = new CategoryService();
        $data['title'] = __('Committee Member');
        $data['showManageCommittee'] = 'show';
        $data['activeExecutiveCommittee'] = 'active';
        $data['designations'] = $committeeDesignation->getAllActive();
        $data['elections'] = $committeeElection->getAllActive();
        $data['categories'] = $committeeCategory->getAllActive();
        $data['userData'] = $committeeCategory->getUserData();

        return view('addon.committee.admin.committee.index', $data);
    }


    public function store(CommitteeRequest $request)
    {
        return $this->committeeServices->store($request);
    }

    public function info($id)
    {
        $committeeDesignation = new DesignationService();
        $committeeElection = new ElectionService();
        $committeeCategory = new CategoryService();
        $data['designations'] = $committeeDesignation->getAllActive();
        $data['elections'] = $committeeElection->getAllActive();
        $data['category'] = $committeeCategory->getAllActive();
        $data['categories'] = $committeeCategory->getAllActive();
        $data['userData'] = $committeeCategory->getUserData();
        $data['committeeData'] = $this->committeeServices->getById($id);

        return view('addon.committee.admin.committee.edit-form', $data);
    }

    public function update(CommitteeRequest $request, $id)
    {
        return $this->committeeServices->update($request, $id);
    }

    public function delete($id)
    {
        return $this->committeeServices->deleteById($id);
    }
}
