<?php

namespace App\Http\Controllers\addon\committee\alumni;

use App\Http\Controllers\Controller;
use App\Http\Services\addon\committee\VoteService;
use App\Models\CommitteeElection;
use App\Models\CommitteeNominationForm;
use App\Models\CommitteeVote;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class VoteController extends Controller
{
    use ResponseTrait;

    public $voteService;

    public function __construct()
    {
        $this->voteService = new VoteService();
    }

    public function voteList(Request $request)
    {
        if ($request->wantsJson()) {
            return $this->voteService->list($request);
        }

        $data['title'] = __('Running Election');
        $data['showManageAluVote'] = 'show';
        $data['activeAluVote'] = 'active';

        return view('addon.committee.alumni.votes.list', $data);
    }

    public function voteBallot($id)
    {
        $data['title'] = __('Running Election');
        $data['showManageAluVote'] = 'show';
        $data['activeAluVote'] = 'active';

        $isAlreadyVoted = CommitteeVote::where([
            'tenant_id' => getTenantId(),
            'committee_election_id' => $id,
            'user_id' => auth()->id()
        ])->exists();

        if($isAlreadyVoted){
            return back()->with('error', __('You have already voted'));
        }

        $data['election'] = CommitteeElection::where(['id' => $id, 'tenant_id' => getTenantId()])->first();
        $data['nominations'] = CommitteeNominationForm::where(['tenant_id' => getTenantId(), 'committee_election_id' => $data['election']->id, 'status' => STATUS_ACTIVE])
            ->with(['final_candidates.user.alumni', 'position'])
            ->get();

        return view('addon.committee.alumni.votes.ballot', $data);
    }

    public function voteStore(Request $request, $id)
    {
        return $this->voteService->vote($request, $id);
    }
}
