<?php

namespace App\Http\Controllers\addon\committee\frontend;

use App\Http\Controllers\Controller;
use App\Models\CommitteeBoardMember;
use App\Models\CommitteeElection;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;


class ElectionBoardController extends Controller
{
    use ResponseTrait;

    public function index()
    {
        $data['title'] = __("Election Board");
        $data['designationData'] = CommitteeElection::where(['status' => STATUS_ACTIVE , 'tenant_id' => getTenantId()])->orderBy('id', 'DESC')->get();
        return view('addon.committee.frontend.election_board.index',$data);
    }

    public function dataFilter(Request $request){

        $data['electionBoard'] = CommitteeBoardMember::join('committee_designations', 'committee_board_members.committee_designation_id', 'committee_designations.id')
            ->join('users', 'committee_board_members.user_id', 'users.id')
            ->select([
                'committee_board_members.*',
                'committee_designations.name as designationName',
                'users.name as userName',
                'users.image as userPhoto',
            ])
            ->where('committee_designations.tenant_id', getTenantId())
            ->where('committee_board_members.committee_election_id', $request->committee_election_id)
            ->orderBy('committee_designations.order', 'ASC')
            ->paginate(8);

        $html = view('addon.committee.frontend.election_board.card', $data)->render();

        return $this->success(['html' => $html], __(DATA_FETCH_SUCCESSFULLY));
    }

    public function details($id)
    {
        $data['boardMemberDetails'] = CommitteeBoardMember::join('committee_designations', 'committee_board_members.committee_designation_id', 'committee_designations.id')
            ->join('users', 'committee_board_members.user_id', 'users.id')
            ->select([
                'committee_board_members.photo as image',
                'committee_board_members.company',
                'committee_board_members.address',
                'committee_designations.name as designationName',
                'committee_designations.order',
                'users.name as userName',
                'users.email as userEmail',
                'users.mobile as userMobile',
            ])
            ->where('committee_board_members.id', $id)
            ->first();

        return view('addon.committee.frontend.election_board.details', $data);
    }

}
