<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Position extends Model
{
    use HasFactory;

    protected $fillable = [
        'election_id', 'name'
    ];

    public function election()
    {
        return $this->belongsTo(Election::class);
    }

    public function nominations()
    {
        return $this->hasMany(Nomination::class);
    }

    public function votes()
    {
        return $this->hasMany(Vote::class);
    }
}
