<form class="ajax reset" action="{{ route('committee.admin.candidate-flag.update', $candidateFlagData->id) }}" method="post"
      data-handler="commonResponseForModal">
    @csrf
    <div class="modal-body zModalTwo-body model-lg">
        <!-- Header -->
        <div class="d-flex justify-content-between align-items-center pb-30">
            <h4 class="fs-20 fw-500 lh-38 text-1b1c17">{{__('Update Election Symbol')}}</h4>
            <div class="mClose">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><img
                        src="{{asset('assets/images/icon/delete.svg')}}" alt="" /></button>
            </div>
        </div>
        <div class="row rg-25">
            <div class="col-md-6">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap">
                        <label for="committee_election_id" class="form-label">{{ __('Election') }} <span
                                class="text-danger">*</span></label>
                        <select class="primary-form-control sf-select-without-search" id="committee_election_id"
                                name="committee_election_id">
                            @foreach($committeeElectionData as $data)
                                <option
                                    {{$candidateFlagData->committee_election_id == $data->id ?'selected':''}} value="{{$data->id}}">{{ $data->title }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap">
                        <label for="committee_category_id" class="form-label">{{ __('Category') }} <span
                                class="text-danger">*</span></label>
                        <select class="primary-form-control sf-select-without-search" id="committee_category_id" name="committee_category_id">
                            @foreach($committeeCategoryData as $data)
                                <option
                                    {{$candidateFlagData->committee_category_id == $data->id ?'selected':''}} value="{{$data->id}}">{{ $data->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap">
                        <label for="name" class="form-label">{{ __('Name') }} <span
                                class="text-danger">*</span></label>
                        <input type="text" class="primary-form-control" id="name"
                               name="name" value="{{$candidateFlagData->name}}"
                               placeholder="{{ __('Name') }}">
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap">
                        <label for="status" class="form-label">{{ __('Status') }} <span
                                class="text-danger">*</span></label>
                        <select class="primary-form-control sf-select-without-search" id="status"
                                name="status">
                            <option {{$candidateFlagData->status == STATUS_ACTIVE?'selected':''}} value="{{STATUS_ACTIVE}}">{{ __('Active') }}</option>
                            <option {{$candidateFlagData->status == STATUS_DEACTIVATE?'selected':''}} value="{{STATUS_DEACTIVATE}}">{{ __('Deactivate') }}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap zImage-upload-details w-100">
                        <div class="zImage-inside">
                            <div class="d-flex pb-12"><img src="{{ getDefaultImage() }}"></div>
                            <p class="fs-15 fw-500 lh-16 text-1b1c17">{{ __('Drag & drop files here') }}
                            </p>
                        </div>
                        <label for="zImageUpload" class="form-label">{{ __('Photo') }} <span
                                class="text-mime-type">(jpg,jpeg,png)</span></label>
                        <div class="upload-img-box">
                            <img src="{{getFileUrl($candidateFlagData->flag)}}">
                            <input type="file" id="photo" name="flag" accept="image/*"
                                   onchange="previewFile(this)">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit"
                class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">{{ __('Save')
            }}</button>
    </div>
</form>
