@extends('layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')
    <!-- Page content area start -->
    <div class="p-30">
        <div class="d-flex flex-wrap justify-content-between align-items-center pb-16">
            <h4 class="fs-24 fw-500 lh-34 text-black">{{ $title }}</h4>
            <button type="submit" id="add-news"
                    class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one"
                    data-bs-toggle="modal" data-bs-target="#add-modal"><i class="fa fa-plus"></i>
                {{ __('Add New') }}</button>
        </div>
        <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
            <!-- Table -->
            <div class="table-responsive zTable-responsive">
                <table class="table zTable" id="committeeCandidateFlagDatatable">
                    <thead>
                    <tr>
                        <th scope="col">
                            <div>{{ __('Election') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Category') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Symbol') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Name') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Status') }}</div>
                        </th>
                        <th class="w-110 text-center" scope="col">
                            <div>{{ __('Action') }}</div>
                        </th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
    <!-- Page content area end -->

    <!-- Add Modal section start -->
    <div class="modal fade zModalTwo" id="add-modal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content zModalTwo-content">
                <form class="ajax reset" action="{{ route('committee.admin.candidate-flag.store') }}" method="post"
                      data-handler="commonResponseForModal">
                    @csrf
                    <div class="modal-body zModalTwo-body model-lg">
                        <!-- Header -->
                        <div class="d-flex justify-content-between align-items-center pb-30">
                            <h4 class="fs-20 fw-500 lh-38 text-1b1c17">{{ __('Add New Election Symbol') }}</h4>
                            <div class="mClose">
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><img
                                        src="{{ asset('assets/images/icon/delete.svg') }}" alt=""/></button>
                            </div>
                        </div>
                        <div class="row rg-25">
                            <div class="col-md-6">
                                <div class="primary-form-group">
                                    <div class="primary-form-group-wrap">
                                        <label for="committee_election_id" class="form-label">{{ __('Election') }} <span
                                                class="text-danger">*</span></label>
                                        <select class="primary-form-control sf-select-without-search" id="committee_election_id"
                                                name="committee_election_id">
                                            @foreach($committeeElectionData as $election)
                                                <option value="{{ $election->id }}">
                                                    {{ $election->title }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="primary-form-group">
                                    <div class="primary-form-group-wrap">
                                        <label for="committee_category_id" class="form-label">{{ __('Category') }} <span
                                                class="text-danger">*</span></label>
                                        <select class="primary-form-control sf-select-without-search" id="committee_category_id" name="committee_category_id">
                                            @foreach($committeeCategoryData as $category)
                                                <option value="{{ $category->id }}">
                                                    {{ $category->name }}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="primary-form-group">
                                    <div class="primary-form-group-wrap">
                                        <label for="name" class="form-label">{{ __('Name') }} <span
                                                class="text-danger">*</span></label>
                                        <input type="text" class="primary-form-control" id="name"
                                               name="name"
                                               placeholder="{{ __('Name') }}">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="primary-form-group">
                                    <div class="primary-form-group-wrap">
                                        <label for="status" class="form-label">{{ __('Status') }} <span
                                                class="text-danger">*</span></label>
                                        <select class="primary-form-control sf-select-without-search" id="status"
                                                name="status">
                                            <option value="{{STATUS_ACTIVE}}">{{ __('Active') }}</option>
                                            <option value="{{STATUS_DEACTIVATE}}">{{ __('Deactivate') }}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="primary-form-group">
                                    <div class="primary-form-group-wrap zImage-upload-details w-100">
                                        <div class="zImage-inside">
                                            <div class="d-flex pb-12"><img src="{{ getDefaultImage() }}"></div>
                                            <p class="fs-15 fw-500 lh-16 text-1b1c17">{{ __('Drag & drop files here') }}
                                            </p>
                                        </div>
                                        <label for="zImageUpload" class="form-label">{{ __('Photo') }} <span
                                                class="text-mime-type">(jpg,jpeg,png)</span></label>
                                        <div class="upload-img-box">
                                            <img src="">
                                            <input type="file" id="photo" name="flag" accept="image/*"
                                                   onchange="previewFile(this)">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit"
                                class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">{{
                    __('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Add Modal section end -->

    <!-- Edit Modal section start -->
    <div class="modal fade zModalTwo" id="committee-candidate-flag-edit-modal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content zModalTwo-content">

            </div>
        </div>
    </div>
    <!-- Edit Modal section end -->

    <div id="search-section" class="d-none">
        <div class="mt-2">
            <div class="filterOptions">
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="election_id" class="form-label">{{__('Election')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='election_id'
                                    id='election_id'>
                                <option selected="" value=0>{{__('All Election')}}</option>
                                @foreach($committeeElectionData as $election)
                                    <option value="{{$election->id}}">{{ $election->session }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="committee_id" class="form-label">{{__('Committee')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='committee_id'
                                    id='committee_id'>
                                <option selected="" value=0>{{__('All Committee')}}</option>
                                @foreach($committeeCategoryData as $category)
                                    <option value="{{$category->id}}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" value="{{route('committee.admin.candidate-flag.index')}}" id="committee-candidate-flag-route">
@endsection
@push('script')
    <script src="{{ asset('admin/js/committee_candidate_flag.js') }}"></script>
@endpush
