@extends('layouts.app')
@push('title')
    {{ __('Nomination View') }}
@endpush
@section('content')
    <div class="p-30">
        <div class="">
            <div class="d-flex justify-content-between pb-15 align-items-center">
                <h4 class="fs-24 fw-500 lh-34 text-black pb-16">{{ __('Nomination View') }}</h4>
                @if($nomination->status != STATUS_ACTIVE)
                    <div class="primary-form-group col-md-2">
                        <div class="primary-form-group-wrap">
                            <label for="election_id" class="form-label">{{ __('Status') }} <span class="text-danger">*</span></label>
                            <select class="primary-form-control sf-select-without-search" id="status" name="status"
                                    onchange="getEditModal('{{ route('committee.admin.candidates.status_modal', $nomination->id) }}?status=' + this.value, '#status-modal')">
                                <option
                                    {{ $nomination->status == STATUS_ACTIVE ? 'selected' : '' }} value="{{ STATUS_ACTIVE }}">{{ __('Approved') }}</option>
                                <option
                                    {{ $nomination->status == STATUS_PENDING ? 'selected' : '' }} value="{{ STATUS_PENDING }}">{{ __('Pending') }}</option>
                                <option
                                    {{ $nomination->status == STATUS_CANCELED ? 'selected' : '' }} value="{{ STATUS_CANCELED }}">{{ __('Rejected') }}</option>
                            </select>
                        </div>
                    </div>
                @endif
            </div>
            <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
                <div class="bd-b-one bd-c-ededed mb-35">
                    <div class="row justify-content-between">
                        <div class="col-md-5">
                            <div class="d-flex align-items-center flex-wrap g-18 pb-30 border-item-one">
                                <div class="zUser-one">
                                    <div
                                        class="flex-shrink-0 w-110 h-110 rounded-circle overflow-hidden bd-three bd-c-cdef84">
                                        <img class="w-100"
                                             src="{{ getFileUrl($nomination->image ?? $nomination->user->image) }}"
                                             alt="{{ $nomination->name ?? $nomination->user->name }}"/>
                                    </div>
                                </div>
                                <div class="">
                                    <h4 class="fs-24 fs-sm-20 fw-500 lh-34 text-1b1c17">{{ $nomination->name ?? $nomination->user->name }}</h4>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $nomination->position->name }}
                                        , {{ $nomination->committee->name }}</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-7">
                            <!-- Phone ~ Email -->
                            <ul class="zList-one pb-30">
                                <li>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('Committee') }} :</p>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $nomination->committee->name }}</p>
                                </li>
                                <li>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('Election') }} :</p>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $nomination->election->title }}</p>
                                </li>
                                <li>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('Session') }} :</p>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $nomination->election->session }}</p>
                                </li>
                                <li>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('Date') }} :</p>
                                    <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $nomination->election->vote_start_date.'-'.$nomination->election->vote_end_date }}</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- Bio ~ Info -->
                <div class="row rg-30">
                    <!-- Bio -->
                    <div class="col-lg-8">
                        <div class="py-20 px-25 bd-ra-10 bg-f9f9f9">
                            <!-- Bio text -->
                            <div class="pb-25 mb-25 bd-b-one bd-c-ededed">
                                <h4 class="fs-18 fw-500 lh-22 text-1b1c17 pb-10">{{ __('Manifesto') }}</h4>
                                <p class="fs-14 fw-400 lh-24 text-707070 pb-12">{!! $nomination->election_manifesto !!}</p>
                            </div>
                            <!-- Personal Info -->
                            <ul class="zList-one">
                                <li>
                                    <p>{{ __('Full Name') }} :</p>
                                    <p>{{ $nomination->user->name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Nick Name') }} :</p>
                                    <p>{{ $nomination->user->nick_name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Email') }} :</p>
                                    <p>{{ $nomination->user->email }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Phone') }} :</p>
                                    <p>{{ $nomination->user->mobile }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Batch') }} :</p>
                                    <p>{{ $nomination->user->alumni?->batch?->name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Department') }} :</p>
                                    <p>{{ $nomination->user->alumni?->department?->name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Passing Year') }} :</p>
                                    <p>{{ $nomination->user->alumni?->passing_year?->name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Roll Number') }} :</p>
                                    <p>{{ $nomination->user->alumni?->id_number }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Blood Group') }} :</p>
                                    <p>{{ $nomination->user->alumni?->blood_group }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Date of Birth') }} :</p>
                                    <p>{{ $nomination->user->alumni?->date_of_birth }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Gender') }} :</p>
                                    <p>{{ $nomination->user->alumni?->gender }}</p>
                                </li>
                                <li>
                                    <p>{{ __('City') }} :</p>
                                    <p> {{ $nomination->user->alumni?->city }}</p>
                                </li>
                                <li>
                                    <p>{{ __('State') }} :</p>
                                    <p> {{ $nomination->user->alumni?->state }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Country') }} :</p>
                                    <p>{{ $nomination->user->alumni?->country }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Zip Code') }} :</p>
                                    <p>{{ $nomination->user->alumni?->zip }}</p>
                                </li>
                                @if ($regForm->enable_attachment && auth()->user()->role == USER_ROLE_ADMIN)
                                    <li>
                                        <p>{{ __('Attachment') }} :</p>
                                        <a target="__blank" class="text-afd449"
                                           href="{{getFileUrl($nomination->user->alumni->file)}}">{{__('View')}}</a>
                                    </li>
                                @endif
                                @if ($nomination->user->alumni?->custom_fields)
                                    @foreach(json_decode($nomination->user->alumni?->custom_fields ?? []) as $dynamicField)
                                        <li>
                                            <p>{{ __($dynamicField->label) }} :</p>
                                            <p>{{implode(',', $dynamicField->userData)}}</p>
                                        </li>
                                    @endforeach
                                @endif
                            </ul>
                        </div>
                    </div>
                    <!-- Info -->
                    <div class="col-lg-4">
                        <div class="py-20 px-30 bd-ra-10 bg-f9f9f9 max-w-503 m-auto">
                            <div class="pb-25 mb-25 bd-b-one bd-c-ededed">
                                <h4 class="fs-18 fw-500 lh-22 text-1b1c17 pb-10">{{ __('Nomination Info') }}</h4>
                                <ul class="zList-one">
                                    <li>
                                        <p>{{ __('Symbol') }} :</p>
                                        <p><a target="__blank" class="text-afd449"
                                              href="{{getFileUrl($nomination->flag->flag)}}">{{__('View')}}</a></p>
                                    </li>
                                    @if ($nomination->form_data)
                                        @foreach(json_decode($nomination->form_data ?? []) as $formData)
                                            <li>
                                                <p>{{ __($formData->label) }} :</p>
                                                @if($formData->type == 'file')
                                                    <p><a target="__blank" class="text-afd449"
                                                          href="{{getFileUrl($formData->userData[0] ?? getDefaultImage())}}">{{__('View')}}</a>
                                                    </p>
                                                @else
                                                    <p>{{implode(',', $formData->userData)}}</p>
                                                @endif
                                            </li>
                                        @endforeach
                                    @endif
                                </ul>
                            </div>
                            <div class="">
                                <h4 class="fs-18 fw-500 lh-22 text-1b1c17 pb-10">{{ __('Educational Info') }}</h4>
                                @forelse ($nomination->user->institutions as $institute)
                                    <div class="{{ $loop->last ? '' : 'pb-17' }}">
                                        <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ $institute->degree }}</p>
                                        <ul class="zList-one">
                                            <li>
                                                <p>{{ __('Institute') }} :</p>
                                                <p>{{ $institute->institute }}</p>
                                            </li>
                                            <li>
                                                <p>{{ __('Passing Year') }} :</p>
                                                <p>{{ $institute->passing_year }}</p>
                                            </li>
                                        </ul>
                                    </div>
                                @empty
                                    <div>
                                        <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('No Educational Info Found') }}
                                        </p>
                                    </div>
                                @endforelse
                            </div>
                            <div class="">
                                <h4 class="fs-18 fw-500 lh-22 text-1b1c17 pb-10">{{ __('Professional Info') }}</h4>
                                <ul class="zList-one">
                                    <li>
                                        <p>{{ __('Company Name') }} :</p>
                                        <p>{{ $nomination->user->alumni?->company }}</p>
                                    </li>
                                    <li>
                                        <p>{{ __('Designation') }} :</p>
                                        <p>{{ $nomination->user->alumni?->company_designation }}</p>
                                    </li>
                                    <li>
                                        <p>{{ __('Office Address') }} :</p>
                                        <p>{{ $nomination->user->alumni?->company_address }}</p>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Status Modal section start -->
    <div class="modal fade zModalTwo" id="status-modal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content zModalTwo-content">

            </div>
        </div>
    </div>
    <!-- Edit Modal section end -->
@endsection
@push('script')
    <script src="{{ asset('admin/js/candidate-pending.js') }}"></script>
@endpush
