@extends('frontend.layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')

    <section class="breadcrumb-wrap py-50 py-md-75 py-lg-100" data-background="{{getSettingImage('page_breadcrumb')}}">
        <div class="text-center position-relative">
            <h4 class="fs-50 fw-700 lh-60 text-white pb-8">{{$title}}</h4>
            <ul class="breadcrumb-list">
                <li><a href="{{route('index')}}">{{__('Home')}}</a></li>
                <li><a href="{{route('index')}}">{{$title}}</a></li>
            </ul>
        </div>
    </section>

    <section class="pb-110 pt-60 bg-event-bg donationDetails-section">
        <div class="container">
            <div class="pb-50">
                <!--  -->
                <div class="pb-40 d-flex justify-content-between align-items-center flex-wrap g-20">
                    <!--  -->
                    <div class="d-flex align-items-center flex-wrap g-20">
                        <div
                            class="flex-shrink-0 w-110 h-110 rounded-circle bd-four bd-c-primary-color overflow-hidden">
                            <img src="{{getFileUrl($candidateDetails->photo ?? $candidateDetails->user->image)}}" alt=""></div>
                        <div class="">
                            <h4 class="fs-36 fw-500 lh-34 text-text-black pb-11">{{$candidateDetails->user->name}}</h4>
                            <p class="fs-18 fw-400 lh-17 text-para-color">{{$candidateDetails->position->name}}</p>
                        </div>
                    </div>
                    <!--  -->
                    <div class="">
                        <h4 class="fs-18 fw-500 lh-24 text-text-black ls-60 pb-9">{{__('SHARE')}}:</h4>
                        <ul class="d-flex align-items-center flex-wrap g-7">
                            <li>
                                <a target="__blank" href="{{$fb_share}}"
                                   class="d-flex justify-content-center align-items-center w-50 h-50 bd-one bd-c-stroke-color rounded-circle bg-white hover-bg-color-primary hover-border-color-primary">
                                    <img src="{{asset('frontend/images/icon/facebook.svg')}}" alt=""/>
                                </a>
                            </li>
                            <li>
                                <a target="__blank" href="{{$tw_share}}"
                                   class="d-flex justify-content-center align-items-center w-50 h-50 bd-one bd-c-stroke-color rounded-circle bg-white hover-bg-color-primary hover-border-color-primary">
                                    <img src="{{asset('frontend/images/icon/twitter.svg')}}" alt=""/>
                                </a>
                            </li>
                            <li>
                                <a target="__blank" href="{{$pinterest_share}}"
                                   class="d-flex justify-content-center align-items-center w-50 h-50 bd-one bd-c-stroke-color rounded-circle bg-white hover-bg-color-primary hover-border-color-primary">
                                    <img src="{{asset('frontend/images/icon/pinterest.svg')}}" alt=""/>
                                </a>
                            </li>
                            <li>
                                <a target="__blank" href="{{$link_share}}"
                                   class="d-flex justify-content-center align-items-center w-50 h-50 bd-one bd-c-stroke-color rounded-circle bg-white hover-bg-color-primary hover-border-color-primary">
                                    <img src="{{asset('frontend/images/icon/linkedin.svg')}}" alt=""/>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
                <!--  -->
                <div class="pb-47">
                    <div class="election-date-wrap">
                        <div class="row rg-0">
                            <div class="col-lg-5">
                                <div class="election-date-left">
                                    <div class="graphic-1">
                                        <img src="{{asset('frontend/images/election-shape-1.svg')}}" alt="">
                                    </div>
                                    <div class="graphic-2">
                                        <img src="{{asset('frontend/images/election-shape-2.svg')}}" alt="">
                                    </div>
                                    <div class="flag">
                                        <img src="{{getFileUrl($candidateDetails->flag?->flag)}}" alt="">
                                    </div>
                                    <div class="content">
                                        <h4 class="date">{{\Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $candidateDetails->election->vote_start_date)->format('j F Y')}}</h4>
                                        <p class="fs-18 fw-500 text-white">{{__('ELECTION DATE')}}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-7">
                                <div class="election-date-right">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="electionNameCommittee-item">
                                                <h4 class="title">{{__('Election Name')}}</h4>
                                                <p class="info">{{$candidateDetails->election->title}} </p>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="electionNameCommittee-item electionNameCommittee-item-2">
                                                <h4 class="title">{{__('Committee Name')}}</h4>
                                                <p class="info">{{$candidateDetails->committee->name}}</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--  -->
                <div class="row rg-24">
                    <div class="col-lg-7 col-md-6">
                        <div class="p-sm-25 p-15 bd-ra-25 bg-white h-100">
                            <div class="pb-25 mb-25 bd-b-one bd-c-stroke-color">
                                <h4 class="fs-18 fw-500 lh-22 text-text-black pb-10">{{ __('Manifesto') }}</h4>
                                <p class="fs-14 fw-400 lh-24 text-para-color pb-12">{!! $candidateDetails->election_manifesto !!}</p>
                            </div>
                            <!-- Personal Info -->
                            <ul class="zList-one">
                                <li>
                                    <p>{{ __('Full Name') }} :</p>
                                    <p>{{ $candidateDetails->user?->name }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Email') }} :</p>
                                    <p>{{ $candidateDetails->user?->email }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Blood Group') }} :</p>
                                    <p>{{ $candidateDetails->alumnus?->blood_group }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Date of Birth') }} :</p>
                                    <p>{{ $candidateDetails->alumnus?->date_of_birth }}</p>
                                </li>
                                <li>
                                    <p>{{ __('City') }} :</p>
                                    <p>{{ $candidateDetails->alumnus?->city }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Country') }} :</p>
                                    <p>{{ $candidateDetails->alumnus?->country }}</p>
                                </li>
                                <li>
                                    <p>{{ __('Zip Code') }} :</p>
                                    <p>{{ $candidateDetails->alumnus?->zip }}</p>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-5 col-md-6">
                        <div class="p-sm-25 p-15 bd-ra-25 bg-white h-100">
                            <div class="pb-25 mb-25 bd-b-one bd-c-stroke-color">
                                @forelse ($candidateDetails->user->institutions as $institute)
                                <h4 class="fs-18 fw-500 lh-22 text-text-black pb-10">{{ __('Educational Info') }}</h4>
                                <div class="{{ $loop->last ? '' : 'pb-17' }}">
                                    <p class="fs-14 fw-400 lh-17 text-para-color pb-10">{{ $institute->degree }}</p>
                                    <ul class="zList-one">
                                        <li>
                                            <p>{{ __('Institute') }} :</p>
                                            <p>{{ $institute->institute }}</p>
                                        </li>
                                        <li>
                                            <p>{{ __('Passing Year') }} :</p>
                                            <p>{{ $institute->passing_year }}</p>
                                        </li>
                                    </ul>
                                </div>
                                @empty
                                    <div>
                                        <p class="fs-14 fw-400 lh-17 text-707070 pb-10">{{ __('No Educational Info Found') }}
                                        </p>
                                    </div>
                                @endforelse
                            </div>
                            <div class="">
                                <h4 class="fs-18 fw-500 lh-22 text-text-black pb-10">{{ __('Professional Info') }}</h4>
                                <ul class="zList-one">
                                    <li>
                                        <p>{{ __('Company Name') }} :</p>
                                        <p>{{ $candidateDetails->alumnus?->company }}</p>
                                    </li>
                                    <li>
                                        <p>{{ __('Designation') }} :</p>
                                        <p>{{ $candidateDetails->alumnus?->company_designation }}</p>
                                    </li>
                                    <li>
                                        <p>{{ __('Office Address') }} :</p>
                                        <p>{{ $candidateDetails->alumnus?->company_address }}</p>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <h4 class="fs-36 fw-600 lh-46 text-text-black pb-25">{{__('Comments')}}
                ({{addLeadingZero($totalComment)}})
            </h4>
            <div class="bg-white px-lg-60 px-md-30 py-sm-34 p-15 bd-ra-25 bd-one bd-c-black-10 comment-area">
                <div class="donation-comments-wrap">
                    <ul class="donation-comments">
                        @forelse ($candidateCommentData->comments as $comment)
                            <li>
                                <div class="d-flex align-items-start g-12">
                                    <div class="flex-shrink-0 w-30 h-30 overflow-hidden rounded-circle">
                                        <img src="{{ getFileUrl($comment->user?->image) }}"
                                             alt="{{ $comment->user?->name }}"/>
                                    </div>
                                    <div class="flex-grow-1 comment-data"
                                         data-user-name="{{ $comment->user ? $comment->user->name : __('Anonymous') }}"
                                         data-id="{{ $comment->id }}">
                                        <div class="py-9 px-15 bd-one bd-c-text-black-10 bd-ra-6">
                                            <div class="d-flex align-items-center g-14 pb-14">
                                                <h4 class="fs-18 fw-500 lh-22 text-text-black">{{ $comment->user ? $comment->user->name : __('Anonymous') }}</h4>
                                            </div>
                                            <div class="d-flex flex-column g-14">
                                                {!! nl2br($comment->comment) !!}
                                            </div>
                                        </div>
                                        <div class="pt-12 d-flex align-items-center g-30">
                                            @auth
                                            <button
                                                class="border-0 p-0 bg-transparent fs-15 fw-500 lh-18 text-text-black reply-btn">
                                                {{__('Reply')}}
                                            </button>
                                            @endauth
                                            <p class="fs-15 fw-500 lh-18 text-para-color">{{ $comment->created_at->diffForHumans() }}</p>
                                        </div>
                                    </div>
                                </div>
                                @if(count($comment->replies))
                                <ul class="donation-comment-reply">
                                    @foreach ($comment->replies as $reply)
                                        <li>
                                            <div class="d-flex align-items-start g-12">
                                                <div
                                                    class="flex-shrink-0 w-30 h-30 overflow-hidden rounded-circle">
                                                    <img src="{{ getFileUrl($reply->user?->image) }}"
                                                         alt="{{ $reply->user?->name }}"/>
                                                </div>
                                                <div class="flex-grow-1 comment-data"
                                                     data-user-name="{{ $reply->user ? $reply->user->name : __('Anonymous') }}"
                                                     data-id="{{ $comment->id }}">
                                                    <div class="py-9 px-15 bd-one bd-c-text-black-10 bd-ra-6">
                                                        <div class="d-flex align-items-center g-14 pb-14">
                                                            <h4 class="fs-18 fw-500 lh-22 text-text-black">{{ $reply->user ? $reply->user->name : __('Anonymous') }}</h4>
                                                        </div>
                                                        <div class="d-flex flex-column g-14">
                                                            {!! nl2br($reply->comment) !!}
                                                        </div>
                                                    </div>
                                                    <div class="pt-12 d-flex align-items-center g-30">
                                                        @auth
                                                        <button
                                                            class="border-0 p-0 bg-transparent fs-15 fw-500 lh-18 text-text-black reply-btn">
                                                            {{__('Reply')}}
                                                        </button>
                                                        @endauth
                                                        <p class="fs-15 fw-500 lh-18 text-para-color">{{ $reply->created_at->diffForHumans() }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                                    @endforeach
                                </ul>
                                @endif
                            </li>
                        @empty
                            <li><p class="fs-15 fw-500 lh-18 text-para-color">{{ __("No Comment Found") }}</p>
                            </li>
                        @endforelse
                    </ul>
                </div>
                <!-- Reply text -->
                @auth
                <form action="{{route('committee.candidate.comment', $candidateDetails->id)}}" method="POST">
                    @csrf
                    <div class="d-flex align-items-center cg-15 pb-5 pl-40 d-none reply-note">
                        <input type="hidden" name="id" class="reply-to-id-input">
                        <p class="fs-12 fw-400 lh-20 text-707070 divider-one">{{ __('Replying to') }} <a
                                class="fw-600 text-1b1c17 reply-to-name"></a></p>
                        <button
                            class="border-0 p-0 bg-transparent fs-12 fw-400 lh-20 text-707070 cancel-reply-to">{{ __('Cancel') }}</button>
                    </div>
                    <div class="donation-comment-input">
                                <textarea required class="postCommentInput form-control" name="comment"
                                          placeholder="{{__('Add a Comment')}}"></textarea>
                        <button><img src="{{asset('frontend/images/icon/comment-send.svg')}}" alt=""></button>
                    </div>
                </form>
                @endauth
            </div>
        </div>
    </section>
@endsection

@push('script')
    <script src="{{asset('frontend/js/committee-candidate-frontend.js')}}"></script>
@endpush
