<?php

use App\Http\Controllers\addon\committee\frontend\CandidateController;
use App\Http\Controllers\addon\committee\frontend\CommitteeController;
use App\Http\Controllers\addon\committee\frontend\ElectionBoardController;
use Illuminate\Support\Facades\Route;

Route::get('committee/{categorySlug}', [CommitteeController::class, 'index'])->name('committee.index');
Route::get('committee-details/{id}',[CommitteeController::class, 'details'])->name('committee.details');
Route::get('committee-session-data-filter',[CommitteeController::class, 'dataFilter'])->name('committee.session.data.filter');

Route::group(['prefix' => 'election_board', 'as' => 'election_board.'], function () {
    Route::get('', [ElectionBoardController::class, 'index'])->name('index');
    Route::get('details/{id}',[ElectionBoardController::class, 'details'])->name('details');
    Route::get('data-filter',[ElectionBoardController::class, 'dataFilter'])->name('data.filter');
});

Route::group(['prefix' => 'candidate', 'as' => 'candidate.'], function () {
    Route::get('', [CandidateController::class, 'index'])->name('index');
    Route::get('details/{id}', [CandidateController::class, 'details'])->name('details');
    Route::post('comment/{candidate_id}', [CandidateController::class, 'comment'])->name('comment');
    Route::get('data-filter',[CandidateController::class, 'dataFilter'])->name('data.filter');
});
