<?php

namespace App\Http\Controllers\addon\committee\admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommitteeCandidateFlagRequest;
use App\Http\Services\addon\committee\CandidateFlagService;
use App\Models\CommitteeCategory;
use App\Models\CommitteeElection;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class CandidateFlagController extends Controller
{
    use ResponseTrait;
    public $candidateFlagServices;

    public function __construct()
    {
        $this->candidateFlagServices = new CandidateFlagService();
    }

    public function index(Request $request)
    {
        if($request->wantsJson()){
            return $this->candidateFlagServices->list($request);
        }

        $data['title'] = __('Election Symbol');
        $data['showManageCommittee'] = 'show';
        $data['activeCandidateFlagList'] = 'active';
        $data['committeeCategoryData'] = CommitteeCategory::where(['tenant_id' => getTenantId(), 'status' => STATUS_ACTIVE])->get();
        $data['committeeElectionData'] = CommitteeElection::where(['tenant_id' => getTenantId(), 'status' => STATUS_ACTIVE])->get();

        return view('addon.committee.admin.candidate_flag.index', $data);
    }


    public function store(CommitteeCandidateFlagRequest $request)
    {
        return $this->candidateFlagServices->store($request);
    }

    public function edit($id)
    {
        $data['candidateFlagData'] = $this->candidateFlagServices->getById($id);
        $data['committeeCategoryData'] = CommitteeCategory::where(['tenant_id' => getTenantId(), 'status' => STATUS_ACTIVE])->get();
        $data['committeeElectionData'] = CommitteeElection::where(['tenant_id' => getTenantId(), 'status' => STATUS_ACTIVE])->get();

        return view('addon.committee.admin.candidate_flag.edit-form', $data);
    }

    public function update(CommitteeCandidateFlagRequest $request, $id)
    {
        return $this->candidateFlagServices->update( $id, $request);
    }

    public function delete($id)
    {
        return $this->candidateFlagServices->deleteById($id);
    }
}
