<?php

namespace App\Http\Controllers\addon\committee\admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommitteeDesignationRequest;
use App\Http\Services\addon\committee\DesignationService;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class DesignationController extends Controller
{
    use ResponseTrait;
    public $committeeDesignationServices;

    public function __construct()
    {
        $this->committeeDesignationServices = new DesignationService();
    }

    public function index(Request $request)
    {
        if($request->wantsJson()){
            return $this->committeeDesignationServices->list();
        }

        $data['title'] = __('Designation List');
        $data['showManageCommittee'] = 'show';
        $data['activeDesignationList'] = 'active';

        return view('addon.committee.admin.designation.index', $data);
    }


    public function store(CommitteeDesignationRequest $request)
    {
        return $this->committeeDesignationServices->store($request);
    }

    public function edit($id)
    {
        $data['getDesignationData'] = $this->committeeDesignationServices->getById($id);

        return view('addon.committee.admin.designation.edit-form', $data);
    }

    public function update(CommitteeDesignationRequest $request, $id)
    {
        return $this->committeeDesignationServices->update( $id, $request);
    }

    public function delete($id)
    {
        return $this->committeeDesignationServices->deleteById($id);
    }
}
