<div class="row rg-25">
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="election_id" class="form-label">{{ __('Election') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="election_id"
                        name="election_id">
                    @foreach($elections as $election)
                        <option
                            {{($boardMember->committee_category_id ?? '') == $election->id ?'selected':''}} value="{{$election->id}}">{{ $election->title }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="designation_id" class="form-label">{{ __('Designation') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="designation_id"
                        name="designation_id">
                    @foreach($designations as $designation)
                        <option
                            {{($boardMember->committee_designation_id ?? '') == $designation->id ?'selected':''}} value="{{$designation->id}}">{{ $designation->name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="name" class="form-label">{{ __('Name') }} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$boardMember->user->name ?? ''}}" class="primary-form-control" id="name"
                       name="name"
                       placeholder="{{ __('Name') }}">
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="email" class="form-label">{{ __('Email') }} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$boardMember->user->email ?? ''}}" class="primary-form-control" id="email"
                       name="email"
                       placeholder="{{ __('Email') }}">
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="phone" class="form-label">{{ __('Phone') }} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{ $boardMember->user->mobile ?? ''}}" class="primary-form-control"
                       id="phone" name="phone"
                       placeholder="{{ __('Phone') }}">
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="password" class="form-label">{{ __('Password') }}  @if(!isset($boardMember))
                        <span
                            class="text-danger">*</span>
                    @endif</label>
                <input type="text" class="primary-form-control" id="password" name="password"
                       placeholder="{{ __('Password') }}">
            </div>
            @if(isset($boardMember))
                <small class="fs-12">{{__('Leave it blank if not necessary')}}</small>
            @endif
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="company" class="form-label">{{ __('Company') }} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$boardMember->company ?? ''}}" class="primary-form-control" id="company"
                       name="company"
                       placeholder="{{ __('Company') }}">
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="address" class="form-label">{{ __('Address') }} <span
                        class="text-danger">*</span></label>
                <textarea id="address" name="address" class="primary-form-control"
                          placeholder={{ __("Write Address...") }} spellcheck="false">{{$boardMember->address ?? ''}}</textarea>
            </div>
        </div>
    </div>
    <div class="col-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap zImage-upload-details w-100">
                <div class="zImage-inside">
                    <div class="d-flex pb-12"><img src="{{ getDefaultImage() }}"></div>
                    <p class="fs-15 fw-500 lh-16 text-1b1c17">{{ __('Drag & drop files here') }}
                    </p>
                </div>
                <label for="zImageUpload" class="form-label">{{ __('Photo') }} <span
                        class="text-mime-type">(jpg,jpeg,png)</span><span
                        class="text-danger">*</span></label>
                <div class="upload-img-box">
                    <img src="{{ getFileUrl($boardMember->photo ?? '') }}">
                    <input type="file" id="photo" name="photo" accept="image/*"
                           onchange="previewFile(this)">
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="status" class="form-label">{{ __('Status') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="status"
                        name="status">
                    <option
                        {{isset($boardMember) && $boardMember->status == 1 ?? 'selected'}} value="{{STATUS_ACTIVE}}">{{ __('Active') }}</option>
                    <option
                        {{isset($boardMember) && $boardMember->status != 1 ?? 'selected'}} value="{{STATUS_DEACTIVATE}}">{{ __('Deactivate') }}</option>
                </select>
            </div>
        </div>
    </div>
</div>
