@extends('layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')
<!-- Page content area start -->
<div class="p-30">
    <div class="d-flex flex-wrap justify-content-between align-items-center pb-16">
        <h4 class="fs-24 fw-500 lh-34 text-black">{{ $title }}</h4>
        <button type="submit" id="add-news"
                class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one"
                data-bs-toggle="modal" data-bs-target="#add-modal"><i class="fa fa-plus"></i>
            {{ __('Add New') }}</button>
    </div>
    <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
        <!-- Table -->
        <div class="table-responsive zTable-responsive">
            <table class="table zTable" id="boardMemberDatatable">
                <thead>
                <tr>
                    <th scope="col">
                        <div>{{ __('Photo') }}</div>
                    </th>
                    <th scope="col">
                        <div>{{ __('Session') }}</div>
                    </th>
                    <th scope="col">
                        <div>{{ __('Designation') }}</div>
                    </th>
                    <th scope="col">
                        <div>{{ __('Name') }}</div>
                    </th>
                    <th scope="col">
                        <div>{{ __('Email') }}</div>
                    </th>
                    <th scope="col">
                        <div>{{ __('Status') }}</div>
                    </th>
                    <th class="w-110 text-center" scope="col">
                        <div>{{ __('Action') }}</div>
                    </th>
                </tr>
                </thead>
            </table>
        </div>

    </div>
</div>
<!-- Page content area end -->

<!-- Add Modal section start -->
<div class="modal fade zModalTwo" id="add-modal" aria-hidden="true" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content zModalTwo-content">
            <form class="ajax reset" action="{{ route('committee.admin.board_members.store') }}" method="post"
                  data-handler="commonResponseForModal">
                @csrf
                <div class="modal-body zModalTwo-body model-lg">
                    <!-- Header -->
                    <div class="d-flex justify-content-between align-items-center pb-30">
                        <h4 class="fs-20 fw-500 lh-38 text-1b1c17">{{ __('Add New Board Member') }}</h4>
                        <div class="mClose">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><img
                                    src="{{ asset('assets/images/icon/delete.svg') }}" alt=""/></button>
                        </div>
                    </div>
                    @include('addon.committee.admin.board_members.form')
                </div>
                <div class="modal-footer">
                    <button type="submit"
                            class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">{{
                    __('Save') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Add Modal section end -->

<!-- Edit Modal section start -->
<div class="modal fade zModalTwo" id="edit-modal" aria-hidden="true" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content zModalTwo-content">

        </div>
    </div>
</div>
<!-- Edit Modal section end -->

<div id="search-section" class="d-none">
    <div class="mt-2">
        <div class="filterOptions">
            <div class="item">
                <div class="primary-form-group">
                    <div class="primary-form-group-wrap">
                        <label for="election_id" class="form-label">{{__('Election')}}</label>
                        <select class="sf-select-without-search primary-form-control" name='election_id'
                                id='election_id'>
                            <option selected="" value=0>{{__('All Election')}}</option>
                            @foreach($elections as $election)
                                <option value="{{$election->id}}">{{ $election->session }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<input type="hidden" value="{{route('committee.admin.board_members.index')}}" id="board-member-route">
@endsection
@push('script')
    <script src="{{ asset('admin/js/board_members.js') }}"></script>
@endpush
