@extends('layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')
    <!-- Page content area start -->
    <div class="p-30">
        <div class="d-flex flex-wrap justify-content-between align-items-center pb-16">
            <h4 class="fs-24 fw-500 lh-34 text-black">{{ $title }}</h4>
        </div>
        <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
            <!-- Table -->
            <div class="table-responsive zTable-responsive">
                <table class="table zTable" id="candidateCommentDatatable">
                    <thead>
                    <tr>
                        <th scope="col">
                            <div>{{ __('Candidate') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Election') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Committee') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Position') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Comments') }}</div>
                        </th>
                        <th class="w-110 text-center" scope="col">
                            <div>{{ __('Status') }}</div>
                        </th>
                        <th class="w-110 text-center" scope="col">
                            <div>{{ __('Action') }}</div>
                        </th>
                    </tr>
                    </thead>
                </table>
            </div>

        </div>
    </div>
    <!-- Page content area end -->
    <!-- Edit Modal section start -->
    <div class="modal fade zModalTwo" id="edit-modal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content zModalTwo-content">

            </div>
        </div>
    </div>
    <!-- Edit Modal section end -->

    <div id="search-section" class="d-none">
        <div class="mt-2">
            <div class="filterOptions">
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="election_id" class="form-label">{{__('Election')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='election_id'
                                    id='election_id'>
                                <option selected="" value=0>{{__('All Election')}}</option>
                                @foreach($elections as $election)
                                    <option value="{{$election->id}}">{{ $election->session }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="committee_id" class="form-label">{{__('Committee')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='committee_id'
                                    id='committee_id'>
                                <option selected="" value=0>{{__('All Committee')}}</option>
                                @foreach($categories as $category)
                                    <option value="{{$category->id}}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" value="{{route('committee.admin.candidates-comments.index')}}" id="candidate-comment-route">
@endsection
@push('script')
    <script src="{{ asset('admin/js/candidate_comments.js') }}"></script>
@endpush
