<div class="row rg-25">
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="committee_election_id" class="form-label">{{ __('Election') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="committee_election_id"
                        name="committee_election_id">
                    @foreach($elections as $election)
                        <option value="{{ $election->id }}" {{ isset($committeeData) && $committeeData->committee_election_id == $election->id ? 'selected' : '' }}>
                            {{ $election->title }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="committee_category_id" class="form-label">{{ __('Category') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="committee_category_id" name="committee_category_id">
                    @foreach($categories as $category)
                        <option value="{{ $category->id }}" {{ isset($committeeData) && $committeeData->committee_category_id == $category->id ? 'selected' : '' }}>
                            {{ $category->name }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="designation_id" class="form-label">{{ __('Designation') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="designation_id"
                        name="designation_id">
                    @foreach($designations as $designation)
                        <option
                            value="{{ $designation->id }}" {{ isset($committeeData) && $committeeData->committee_designation_id == $designation->id ? 'selected' : '' }}>
                            {{ $designation->name }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="name" class="form-label">{{ __('Alumni') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search"
                        name="user_id">
                    @foreach($userData as $data)
                        <option
                            value="{{ $data->id }}" {{ isset($committeeData) && $committeeData->user_id == $data->id ? 'selected' : '' }}>
                            {{ $data->name }} - {{ $data->email }}
                        </option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="status" class="form-label">{{ __('Status') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="status"
                        name="status">
                    <option
                        {{isset($committeeData) && $committeeData->status == 1 ?? 'selected'}} value="1">{{ __('Active') }}</option>
                    <option
                        {{isset($committeeData) && $committeeData->status != 1 ?? 'selected'}} value="{{STATUS_DEACTIVATE}}">{{ __('Deactivate') }}</option>
                </select>
            </div>
        </div>
    </div>
    <div class="col-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap zImage-upload-details w-100">
                <div class="zImage-inside">
                    <div class="d-flex pb-12"><img src="{{ getDefaultImage() }}"></div>
                    <p class="fs-15 fw-500 lh-16 text-1b1c17">{{ __('Drag & drop files here') }}
                    </p>
                </div>
                <label for="zImageUpload" class="form-label">{{ __('Photo') }} <span
                        class="text-mime-type">(jpg,jpeg,png)</span></label>
                <div class="upload-img-box">
                    <img src="{{ getFileUrl($committeeData->photo ?? '') }}">
                    <input type="file" id="photo" name="photo" accept="image/*"
                           onchange="previewFile(this)">
                </div>
            </div>
        </div>
    </div>
</div>
