@extends('layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')
    <div class="p-30">
        <div class="">
            <h4 class="fs-24 fw-500 lh-34 text-black pb-16">{{ $title }}</h4>
            <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
                <div class="bd-b-one bd-c-ededed mb-35">
                    <div class="d-flex flex-wrap justify-content-md-between pb-22">
                        <div class="d-flex flex-column flex-wrap gap-1">
                            <h4 class="fs-24 fs-sm-20 fw-500 lh-34 text-1b1c17">{{ $election->title }}</h4>
                            <p class="fs-14 fw-400 lh-17 text-707070 pb-10">
                                <strong>{{__('Session')}}:</strong>{{$election->session}}
                            </p>
                            <p class="fs-14 fw-400 lh-17 text-707070 pb-10">
                                <strong>{{__('Date')}}
                                    :</strong>{{$election->vote_start_date.'-'.$election->vote_end_date}}
                            </p>
                        </div>
                        <div class="border-end d-flex d-md-block d-none flex-column flex-wrap gap-1">
                        </div>
                        <div class="d-flex flex-column flex-wrap gap-2">
                            <p class="fs-14 fw-400 lh-17 text-707070">
                                <strong>{{__('Total Position')}}:</strong>{{$totalPosition}}
                            </p>
                            <p class="fs-14 fw-400 lh-17 text-707070">
                                <strong>{{__('Total Voter')}}:</strong>{{$totalVoter}}
                            </p>
                            <p class="fs-14 fw-400 lh-17 text-707070">
                                <strong>{{__('Voter turnout')}}:</strong>{{$totalVoteCast}}
                            </p>
                        </div>
                    </div>
                </div>
                <!-- Bio ~ Info -->

                <form action="{{route('committee.admin.votes.submit-result', $election->id)}}" id="vote-form" class="ajax"
                      data-handler="voteFormResponse" method="POST">
                    @csrf
                    <div class="rg-30 row">
                        @foreach($nominations as $nomination)
                            <div class="col-md-6">
                                @php
                                    $sl = 1;
                                @endphp
                                <div class="h-100 border rounded-1 table-responsive">
                                    <table class="rounded-1 table zTable zTable-responsive">
                                        <thead>
                                        <tr>
                                            <th colspan="6">
                                                <div
                                                    class="bd-b-one bd-c-black-10 d-flex justify-content-between rounded-0">
                                                    <div>
                                                        <div
                                                            class="fs-20">
                                                            <span class="fw-700">{{__('Position')}}:</span>
                                                            <span>{{$nomination->position->name}}</span>
                                                        </div>
                                                        <div>
                                                            <p class="fs-14 fw-400 lh-17 text-707070">
                                                                <strong>{{__('Total Candidate')}}
                                                                    :</strong>{{count($nomination->final_candidates)}}
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="d-flex flex-column flex-wrap gap-2">
                                                        <p class="fs-14 fw-400 lh-17 text-707070">
                                                            <strong>{{__('Voter turnout')}}:</strong>{{$totalVoteCast}}
                                                        </p>
                                                        <p class="fs-14 fw-400 lh-17 text-707070">
                                                            <strong>{{__('Vote Cast')}}:</strong>{{$nomination->final_candidates->sum('total_vote_count')}}
                                                        </p>
                                                        <p class="fs-14 fw-400 lh-17 text-707070">
                                                            <strong>{{__('Approved Vote')}}:</strong>{{$nomination->final_candidates->sum('vote_count')}}
                                                        </p>
                                                    </div>
                                                </div>
                                            </th>
                                        </tr>
                                        <tr>
                                            <td class="w-50">
                                                <div class="bd-b-one bd-c-black-10 rounded-0">{{__('#SL')}}</div>
                                            </td>
                                            <td>
                                                <div
                                                    class="bd-b-one bd-c-black-10 rounded-0">{{__('Candidate')}}</div>
                                            </td>
                                            <td>
                                                <div class="bd-b-one bd-c-black-10 rounded-0">{{__('Symbol')}}</div>
                                            </td>
                                            <td>
                                                <div class="bd-b-one bd-c-black-10 rounded-0">{{__('Vote')}}</div>
                                            </td>
                                            <td>
                                                <div class="bd-b-one bd-c-black-10 rounded-0">{{__('Win')}}</div>
                                            </td>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($nomination->final_candidates->sortByDesc('vote_count') as $candidate)
                                            <tr>
                                                <td class="w-50">{{$sl++}}</td>
                                                <td>
                                                    <div class="min-w-160 d-flex align-items-center cg-10">
                                                        <div
                                                            class="flex-shrink-0 w-35 h-35 bd-one bd-c-cdef84 rounded-circle overflow-hidden bg-eaeaea d-flex justify-content-center align-items-center">
                                                            <img src="{{getFileUrl($candidate->photo)}}"
                                                                 alt="icon" class="rounded avatar-xs w-100">
                                                        </div>
                                                        <p>{{$candidate->user->name}}</p>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div
                                                        class="flex-shrink-0 w-35 h-35 bd-one bd-c-cdef84 rounded-circle overflow-hidden bg-eaeaea d-flex justify-content-center align-items-center">
                                                        <img src="{{getFileUrl($candidate->flag->flag)}}" alt="icon"
                                                             class="rounded avatar-xs w-100">
                                                    </div>
                                                </td>
                                                <td>{{$candidate->vote_count}}</td>
                                                <td class="text-end w-110">
                                                    <div class="zCheck form-check form-switch">
                                                        <input
                                                            {{$loop->first ? 'checked' : ''}}
                                                            {{$election->is_result_done ? 'disabled' : ''}} class="form-check-input"
                                                            value="{{$candidate->id}}"
                                                            name="candidate_id[{{$nomination->id}}]" type="radio"
                                                            role="switch" id="ballot-check[{{$nomination->id}}]">
                                                        <label class="form-check-label"
                                                               for="ballot-check[{{$nomination->id}}]"></label>
                                                    </div>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="6">
                                                    {{__('No Candidate Found')}}
                                                </td>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        @endforeach
                        @if(!$election->is_result_done)
                            <div class="col-md-12 p-0 text-end">
                                <button type="button" id="result-btn"
                                        class="py-13 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">
                                    {{__('Submit Result')}}</button>
                            </div>
                        @endif
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script src="{{ asset('admin/js/vote_result.js') }}"></script>
@endpush
