<div class="row rg-25">
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="election_id" class="form-label">{{ __('Election') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="election_id"
                        name="election_id">
                    @foreach($elections as $election)
                        <option
                            {{($nomination->committee_category_id ?? '') == $election->id ?'selected':''}} value="{{$election->id}}">{{ $election->title }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="category_id" class="form-label">{{ __('Committee') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="category_id"
                        name="category_id">
                    @foreach($categories as $category)
                        <option
                            {{($nomination->committee_category_id ?? '') == $category->id ?'selected':''}} value="{{$category->id}}">{{ $category->name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="designation_id" class="form-label">{{ __('Designation') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="designation_id"
                        name="designation_id">
                    @foreach($designations as $designation)
                        <option
                            {{($nomination->committee_designation_id ?? '') == $designation->id ?'selected':''}} value="{{$designation->id}}">{{ $designation->name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="title" class="form-label">{{__('Title')}} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$nomination->title ?? ''}}" name="title" id="title"
                       class="primary-form-control"/>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="start_date" class="form-label">{{__('Start Date')}} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$nomination->start_date ?? ''}}" name="start_date" id="start_date"
                       class="date-time-picker date-time-picker2 primary-form-control"/>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="end_date" class="form-label">{{__('End Date')}} <span
                        class="text-danger">*</span></label>
                <input type="text" value="{{$nomination->end_date ?? ''}}" name="end_date" id="end_date"
                       class="date-time-picker date-time-picker2 primary-form-control"/>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="form_price" class="form-label">{{__('Form Price')}}</label>
                <input type="text" value="{{$nomination->amount ?? ''}}" name="form_price" id="form_price"
                       class="primary-form-control"/>
            </div>
            <small class="fs-12">{{__('Leave it blank if not necessary')}}</small>
        </div>
    </div>

    <div class="col-md-6">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="status" class="form-label">{{ __('Status') }} <span
                        class="text-danger">*</span></label>
                <select class="primary-form-control sf-select-without-search" id="status"
                        name="status">
                    <option
                        {{isset($nomination) && $nomination->status == 1 ?? 'selected'}} value="{{STATUS_ACTIVE}}">{{ __('Active') }}</option>
                    <option
                        {{isset($nomination) && $nomination->status != 1 ?? 'selected'}} value="{{STATUS_DEACTIVATE}}">{{ __('Deactivate') }}</option>
                </select>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="primary-form-group">
            <div class="primary-form-group-wrap">
                <label for="status" class="form-label">{{ __('Description') }}</label>
               <textarea class="primary-form-control" name="details">{!! ($nomination->description ?? '') !!}</textarea>
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="rg-15 row bg-white bd-half bd-c-ebedf0 bd-ra-25 p-3">
            <div class="col-lg-12">
                <h5 class="fs-24 fw-500 lh-34 text-1b1c17">{{__('Extra Fields')}}</h5>
            </div>
            <div class="col-xxl-12">
                <div id="form-builder-form" class="sf-sortable-form"></div>
                <input type="hidden" name="custom_fields">
            </div>
        </div>
    </div>
</div>
