@extends('layouts.app')

@push('title')
    {{ $title }}
@endpush

@section('content')
    <!-- Page content area start -->
    <div class="p-30">
        <div>
            <div class="d-flex flex-wrap justify-content-between align-items-center pb-16">
                <h4 class="fs-24 fw-500 lh-34 text-black">{{ $title }}</h4>
            </div>
            <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
                <ul class="nav nav-tabs zTabHead" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <button class="nav-link active nominationPaymentStatusTab" data-status="All" id="all-tab"
                                data-bs-toggle="tab"
                                data-bs-target="#allTabPane" type="button" role="tab" aria-controls="allTabPane"
                                aria-selected="true">{{ __('All') }}</button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link nominationPaymentStatusTab" id="approved-tab" data-bs-toggle="tab"
                                data-bs-target="#approvedTabPane" type="button" role="tab"
                                aria-controls="approved-tab-pane" data-status="Approved"
                                aria-selected="false">{{ __('Approved') }}</button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link nominationPaymentStatusTab" data-bs-toggle="tab"
                                data-status="Pending"
                                id="pending-tab"
                                data-bs-target="#pendingTabPane" type="button" role="tab"
                                aria-controls="pendingTabPane" aria-selected="false"
                                tabindex="-1">{{ __('Pending') }}
                        </button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link nominationPaymentStatusTab" data-bs-toggle="tab"
                                data-bs-target="#cancelledTabPane"
                                type="button" role="tab" aria-controls="cancelledTabPane" data-status="Cancelled"
                                aria-selected="false" tabindex="-1">{{ __('Cancelled') }}
                        </button>
                    </li>
                </ul>

                <!-- Tab Content -->
                <div class="tab-content" id="myTabContent">
                    <!-- all -->
                    <div class="tab-pane fade show active" id="allTabPane" role="tabpanel"
                         aria-labelledby="all-tab" tabindex="0">
                        <div class="table-responsive zTable-responsive">
                            <table class="table zTable" id="nominationPaymentDataTableAll"
                                   aria-describedby="nominationPaymentDataTableAll">
                                <thead>
                                <tr>
                                    <th scope="col">
                                        <div>{{ __('User') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div>{{ __('Nomination') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Payment Info') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Time') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Amount') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Status') }}</div>
                                    </th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                    <!-- approved -->
                    <div class="tab-pane fade" id="approvedTabPane" role="tabpanel"
                         aria-labelledby="approved-tab" tabindex="0">
                        <div class="table-responsive zTable-responsive">
                            <table class="table zTable" id="nominationPaymentDataTableApproved"
                                   aria-describedby="nominationPaymentDataTableApproved">
                                <thead>
                                <tr>
                                    <th scope="col">
                                        <div>{{ __('User') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div>{{ __('Nomination') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Payment Info') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Time') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Amount') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Status') }}</div>
                                    </th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                    <!-- pending -->
                    <div class="tab-pane fade" id="pendingTabPane" role="tabpanel"
                         aria-labelledby="pending-tab" tabindex="0">
                        <div class="table-responsive zTable-responsive">
                            <table class="table zTable" id="nominationPaymentDataTablePending"
                                   aria-describedby="nominationPaymentDataTablePending">
                                <thead>
                                <tr>
                                    <th scope="col">
                                        <div>{{ __('User') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div>{{ __('Nomination') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Payment Info') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Time') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Amount') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Status') }}</div>
                                    </th>
                                    <th class="w-110 text-center" scope="col">
                                        <div>{{ __('Action') }}</div>
                                    </th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                    <!-- cancelled -->
                    <div class="tab-pane fade" id="cancelledTabPane" role="tabpanel"
                         aria-labelledby="cancelled-tab" tabindex="0">
                        <div class="table-responsive zTable-responsive">
                            <table class="table zTable" id="nominationPaymentDataTableCancelled"
                                   aria-describedby="nominationPaymentDataTableCancelled">
                                <thead>
                                <tr>
                                    <th scope="col">
                                        <div>{{ __('User') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div>{{ __('Nomination') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Payment Info') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Time') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Amount') }}</div>
                                    </th>
                                    <th scope="col">
                                        <div class="text-nowrap">{{ __('Status') }}</div>
                                    </th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Page content area end -->

    <!-- Modal section start -->
    <div class="modal fade zModalTwo" id="payStatusChangeModal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content zModalTwo-content">
                <form class="ajax reset" action="{{ route('committee.admin.nominations.order_payment_status_change') }}"
                      method="post" data-handler="commonResponseForModal">
                    @csrf
                    <input type="hidden" name="id">
                    <div class="modal-body zModalTwo-body model-lg">
                        <!-- Header -->
                        <div class="d-flex justify-content-between align-items-center pb-30">
                            <h4 class="fs-20 fw-500 lh-38 text-1b1c17">{{__('Update Nomination')}}</h4>
                            <div class="mClose">
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><img
                                        src="{{asset('assets/images/icon/delete.svg')}}" alt=""/></button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="primary-form-group">
                                <div class="primary-form-group-wrap">
                                    <label class="form-label">{{ __('Status') }}</label>
                                    <select class="primary-form-control sf-select-without-search" name="payment_status">
                                        <option selected value="{{STATUS_ACTIVE}}">{{ __('Paid') }}</option>
                                        <option value="{{PAYMENT_STATUS_CANCELLED}}">{{ __('Cancelled') }}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" id="form-update-btn"
                                class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">{{ __('Update') }} </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Modal section end -->

    <input type="hidden" id="ordersGetInfoRoute" value="{{ route('committee.admin.nominations.orders_info') }}">
    <input type="hidden" id="nominationStatusRoute" value="{{route('committee.admin.nominations.transaction')}}">
@endsection

@push('script')
    <script src="{{ asset('admin/js/nomination_payment.js') }}"></script>
@endpush
