@extends('layouts.app')
@push('title')
    {{ $title }}
@endpush
@section('content')
    <!-- Page content area start -->
    <div class="p-30">
        <div class="d-flex flex-wrap justify-content-between align-items-center pb-16">
            <h4 class="fs-24 fw-500 lh-34 text-black">{{ $title }}</h4>
        </div>
        <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
            <!-- Table -->
            <div class="table-responsive zTable-responsive">
                <table class="table zTable" id="committeeVoteDatatable">
                    <thead>
                    <tr>
                        <th scope="col">
                            <div>{{ __('#SL') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Election') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Committee') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Position') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Vote For') }}</div>
                        </th>
                        <th scope="col">
                            <div>{{ __('Status') }}</div>
                        </th>
                        <th class="w-110 text-center" scope="col">
                            <div>{{ __('Action') }}</div>
                        </th>
                    </tr>
                    </thead>
                </table>
            </div>

        </div>
    </div>
    <!-- Page content area end -->

    <!-- Edit Modal section start -->
    <div class="modal fade zModalTwo" id="status-change-modal" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content zModalTwo-content">
                <form class="ajax reset" action="{{route('committee.admin.votes.status-change')}}"
                      method="post"
                      data-handler="commonResponseForModal">
                    @csrf
                    <div class="modal-body zModalTwo-body model-lg">
                        <!-- Header -->
                        <div class="d-flex justify-content-between align-items-center pb-30">
                            <h4 class="fs-20 fw-500 lh-38 text-1b1c17">{{__('Update Status')}}</h4>
                            <div class="mClose">
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><img
                                        src="{{asset('assets/images/icon/delete.svg')}}" alt=""/></button>
                            </div>
                        </div>
                        <div class="row rg-25">
                            <div class="col-md-12">
                                <div class="primary-form-group">
                                    <input type="hidden" name="id">
                                    <div class="primary-form-group-wrap">
                                        <label for="election_id" class="form-label">{{ __('Election') }} <span
                                                class="text-danger">*</span></label>
                                        <select class="primary-form-control sf-select-without-search" name="status">
                                            <option value="{{ STATUS_ACTIVE }}">{{ __('Approved') }}</option>
                                            <option value="{{ STATUS_CANCELED }}">{{ __('Rejected') }}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="py-10 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">{{ __('Update')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Edit Modal section end -->
    <input type="hidden" value="{{route('committee.admin.votes.index')}}" id="committee-vote-route">

    <div id="search-section" class="d-none">
        <div class="mt-2">
            <div class="filterOptions">
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="election_id" class="form-label">{{__('Election')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='election_id'
                                    id='election_id'>
                                <option selected="" value=0>{{__('All Election')}}</option>
                                @foreach($elections as $election)
                                    <option value="{{$election->id}}">{{ $election->session }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="committee_id" class="form-label">{{__('Committee')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='committee_id'
                                    id='committee_id'>
                                <option selected="" value=0>{{__('All Committee')}}</option>
                                @foreach($categories as $category)
                                    <option value="{{$category->id}}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="primary-form-group">
                        <div class="primary-form-group-wrap">
                            <label for="position_id" class="form-label">{{__('Position')}}</label>
                            <select class="sf-select-without-search primary-form-control" name='position_id'
                                    id='position_id'>
                                <option selected="" value=0>{{__('All Position')}}</option>
                                @foreach($designations as $designation)
                                    <option value="{{$designation->id}}">{{ $designation->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script src="{{ asset('admin/js/committee_votes.js') }}"></script>
@endpush
