@extends('layouts.app')
@push('title')
    {{ __('Ballot Paper') }}
@endpush
@section('content')
    <div class="p-30">
        <div class="">
            <h4 class="fs-24 fw-500 lh-34 text-black pb-16">{{ __('Ballot Paper') }}</h4>
            <div class="bg-white bd-half bd-c-ebedf0 bd-ra-25 p-30">
                <div class="bd-b-one bd-c-ededed mb-35">
                    <div class="row justify-content-between">
                        <div class="col-md-12">
                            <!-- User Photo ~ name ~ Social Link -->
                            <div class="align-items-center d-flex flex-column g-10 justify-content-center pb-30">
                                <h4>{{$election->title}}</h4>
                                <div class="d-flex gap-1">
                                    <span class="fw-bold">{{__('Session')}}:</span>
                                    <span>{{$election->session}}</span>
                                </div>
                                <div class="d-flex gap-1">
                                    <span class="fw-bold">{{__('Date')}}:</span>
                                    <span>{{$election->vote_start_date.'-'.$election->vote_end_date}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Bio ~ Info -->

                <form action="{{route('committee.alumni.votes.store', $election->id)}}" id="vote-form" class="ajax" data-handler="voteFormResponse" method="POST">
                    @csrf
                    <div class="m-1 rg-30 row">
                        @foreach($nominations as $nomination)
                            @php
                                $sl = 1;
                            @endphp
                            <div class="border col-md-12 p-0 rounded-1 table-responsive">
                                <table class="rounded-1 table zTable zTable-responsive">
                                    <thead>
                                    <tr>
                                        <th colspan="6">
                                            <div
                                                class="bd-b-one bd-c-black-10 fs-20 rounded-0">
                                                <span class="fw-700 ">{{__('Position')}}:</span>
                                                <span>{{$nomination->position->name}}</span>
                                            </div>
                                        </th>
                                    </tr>
                                    <tr>
                                        <td class="w-50"><div class="bd-b-one bd-c-black-10 rounded-0">{{__('#SL')}}</div></td>
                                        <td><div class="bd-b-one bd-c-black-10 rounded-0">{{__('Photo')}}</div></td>
                                        <td><div class="bd-b-one bd-c-black-10 rounded-0">{{__('Name')}}</div></td>
                                        <td><div class="bd-b-one bd-c-black-10 rounded-0">{{__('Company')}}</div></td>
                                        <td><div class="bd-b-one bd-c-black-10 rounded-0">{{__('Symbol')}}</div></td>
                                        <td><div class="bd-b-one bd-c-black-10 rounded-0">{{__('Action')}}</div></td>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @forelse($nomination->final_candidates as $candidate)
                                        <tr>
                                            <td class="w-50">{{$sl++}}</td>
                                            <td>
                                                <div
                                                    class="flex-shrink-0 w-35 h-35 bd-one bd-c-cdef84 rounded-circle overflow-hidden bg-eaeaea d-flex justify-content-center align-items-center">
                                                    <img src="{{getFileUrl($candidate->photo)}}" alt="icon"
                                                         class="rounded avatar-xs w-100">
                                                </div>
                                            </td>
                                            <td>{{$candidate->user->name}}</td>
                                            <td>{{$candidate->user->alumni?->company}}</td>
                                            <td>
                                                <div
                                                    class="flex-shrink-0 w-35 h-35 bd-one bd-c-cdef84 rounded-circle overflow-hidden bg-eaeaea d-flex justify-content-center align-items-center">
                                                    <img src="{{getFileUrl($candidate->flag->flag)}}" alt="icon"
                                                         class="rounded avatar-xs w-100">
                                                </div>
                                            </td>
                                            <td class="text-end w-110">
                                                <div class="zCheck form-check form-switch">
                                                    <input class="form-check-input" value="{{$candidate->id}}"
                                                           name="candidate_id[{{$nomination->id}}]" type="radio"
                                                           role="switch" id="ballot-check[{{$nomination->id}}]">
                                                    <label class="form-check-label"
                                                           for="ballot-check[{{$nomination->id}}]"></label>
                                                </div>
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td colspan="6">
                                                {{__('No Candidate Found')}}
                                            </td>
                                        </tr>
                                    @endforelse
                                    </tbody>
                                </table>
                            </div>
                        @endforeach
                        <div class="col-md-12 p-0 text-end">
                            <button type="button" id="vote-btn"
                                    class="py-13 px-26 bg-cdef84 border-0 bd-ra-12 fs-15 fw-500 lh-25 text-black hover-bg-one">
                                {{__('Vote Now')}}</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script src="{{ asset('alumni/js/vote-list.js') }}"></script>
@endpush
