<?php

use App\Http\Controllers\addon\committee\admin\BoardMemberController;
use App\Http\Controllers\addon\committee\admin\CandidateCommentController;
use App\Http\Controllers\addon\committee\admin\CandidateController;
use App\Http\Controllers\addon\committee\admin\CandidateFlagController;
use App\Http\Controllers\addon\committee\admin\CategoryController;
use App\Http\Controllers\addon\committee\admin\DesignationController;
use App\Http\Controllers\addon\committee\admin\ElectionController;
use App\Http\Controllers\addon\committee\admin\CommitteeController;
use App\Http\Controllers\addon\committee\admin\NominationController;
use App\Http\Controllers\addon\committee\admin\VoteController;
use App\Http\Controllers\Admin\Website\WebsiteSettingController;
use Illuminate\Support\Facades\Route;

// committee Category Route Start

Route::group(['prefix' => 'committee-categories', 'as' => 'categories.'], function () {
    Route::get('', [CategoryController::class, 'index'])->name('index');
    Route::post('store', [CategoryController::class, 'store'])->name('store');
    Route::get('edit/{id}', [CategoryController::class, 'edit'])->name('edit');
    Route::post('update/{id}', [CategoryController::class, 'update'])->name('update');
    Route::post('delete/{id}', [CategoryController::class, 'delete'])->name('delete');
});

Route::group(['prefix' => 'committee-designation', 'as' => 'designation.'], function () {
    Route::get('', [DesignationController::class, 'index'])->name('index');
    Route::post('store', [DesignationController::class, 'store'])->name('store');
    Route::get('edit/{id}', [DesignationController::class, 'edit'])->name('edit');
    Route::post('update/{id}', [DesignationController::class, 'update'])->name('update');
    Route::post('delete/{id}', [DesignationController::class, 'delete'])->name('delete');
});

Route::group(['prefix' => 'committee-election', 'as' => 'election.'], function () {
    Route::get('', [ElectionController::class, 'index'])->name('index');
    Route::post('store', [ElectionController::class, 'store'])->name('store');
    Route::get('edit/{id}', [ElectionController::class, 'edit'])->name('edit');
    Route::post('update/{id}', [ElectionController::class, 'update'])->name('update');
    Route::post('delete/{id}', [ElectionController::class, 'delete'])->name('delete');
    Route::get('results', [ElectionController::class, 'resultList'])->name('result-list');
    Route::get('results/{id}', [ElectionController::class, 'result'])->name('results');
});

Route::group(['prefix' => 'board-members', 'as' => 'board_members.'], function () {
    Route::get('', [BoardMemberController::class, 'index'])->name('index');
    Route::post('store', [BoardMemberController::class, 'store'])->name('store');
    Route::get('info/{id}', [BoardMemberController::class, 'info'])->name('info');
    Route::post('update/{id}/{user_id}', [BoardMemberController::class, 'update'])->name('update');
    Route::post('delete/{id}', [BoardMemberController::class, 'delete'])->name('delete');
});

Route::group(['prefix' => 'nominations', 'as' => 'nominations.'], function () {
    Route::get('', [NominationController::class, 'index'])->name('index');
    Route::post('store', [NominationController::class, 'store'])->name('store');
    Route::get('info/{id}', [NominationController::class, 'info'])->name('info');
    Route::post('update/{id}', [NominationController::class, 'update'])->name('update');
    Route::post('delete/{id}', [NominationController::class, 'delete'])->name('delete');
    Route::get('transaction-list', [NominationController::class, 'transactionList'])->name('transaction');
    Route::get('orders/get-info', [NominationController::class, 'orderGetInfo'])->name('orders_info'); // ajax
    Route::post('orders/payment-status-change', [NominationController::class, 'orderPaymentStatusChange'])->name('order_payment_status_change');
});

Route::group(['prefix' => 'committee', 'as' => 'committee.'], function () {
    Route::get('', [CommitteeController::class, 'index'])->name('index');
    Route::post('store', [CommitteeController::class, 'store'])->name('store');
    Route::get('info/{id}', [CommitteeController::class, 'info'])->name('info');
    Route::post('update/{id}/{user_id}', [CommitteeController::class, 'update'])->name('update');
    Route::post('delete/{id}', [CommitteeController::class, 'delete'])->name('delete');
});

Route::group(['prefix' => 'candidates', 'as' => 'candidates.'], function () {
    Route::get('pending', [CandidateController::class, 'pending'])->name('pending');
    Route::get('final', [CandidateController::class, 'final'])->name('final');
    Route::get('view/{id}', [CandidateController::class, 'view'])->name('view');
    Route::get('status-modal/{id}', [CandidateController::class, 'statusModal'])->name('status_modal');
    Route::post('status-change/{id}', [CandidateController::class, 'statusChange'])->name('status_change');
});

Route::group(['prefix' => 'candidates-comments', 'as' => 'candidates-comments.'], function () {
    Route::get('', [CandidateCommentController::class, 'comments'])->name('index');
    Route::get('status-model/{comment_id}', [CandidateCommentController::class, 'statusChangeModal'])->name('status_change_modal');
    Route::post('status-change/{comment_id}', [CandidateCommentController::class, 'statusChange'])->name('status_change');
});

Route::group(['prefix' => 'welcome_speech', 'as' => 'welcome_speech.'], function () {
    Route::get('', [WebsiteSettingController::class, 'welcomeSpeech'])->name('index');
});
Route::group(['prefix' => 'candidate-flag', 'as' => 'candidate-flag.'], function () {
    Route::get('', [CandidateFlagController::class, 'index'])->name('index');
    Route::get('edit/{id}', [CandidateFlagController::class, 'edit'])->name('edit');
    Route::post('store', [CandidateFlagController::class, 'store'])->name('store');
    Route::post('update/{id}', [CandidateFlagController::class, 'update'])->name('update');
    Route::post('delete/{id}', [CandidateFlagController::class, 'delete'])->name('delete');
});

Route::group(['prefix' => 'votes', 'as' => 'votes.'], function () {
    Route::get('', [VoteController::class, 'voteList'])->name('index');
    Route::post('status-change', [VoteController::class, 'statusChange'])->name('status-change');
    Route::post('submit-result/{id}', [VoteController::class, 'submitResult'])->name('submit-result');
});
